#%%
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

# parameters
c1 = 12.2189
c2 = 0.9404
d1 = 9
t1 = 0.07
tr = 0.01
tl = 0.8
fl = 0.0833
# p0 = 2.1e-8
# p0 = 3e-7
p0 = 2.1e-2
tp = 1.0
rho = 1e-3
T = 2

def pressure(t):
    a = np.zeros_like(t)
    h = (1 + np.tanh((t-t1)/tr))*np.exp(-(t-t1)/tl)*np.cos(2*np.pi*fl*(t-t1) + np.pi/3)
    a = c1/c2*p0*d1*np.maximum(h, 0)
    return a 

fig, ax = plt.subplots()

t = np.linspace(0,2,101)
a = pressure(t)
ax.plot(t/T, a/np.max(a))

fig.savefig("../figs/fig11a.png")
# %%
