#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
sts = 20e-6
L = 2
file_paths = glob.glob('../line/fig11b/**')

def line(ax, file_path):
    df = pd.read_csv(file_path)
    t = float(file_path.split('t')[1].split('.csv')[0])
    ax.plot(df['Points:0']/L, df['p']/sts, label=f't={t}')
    
for file_path in sorted(file_paths):
    df = pd.read_csv(file_path)
    line(ax, file_path)

ax.set(xlim=[0, 1])
ax.legend()
fig.savefig("../figs/fig11b.png")
# %%
