#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
psic = 7.0e-9
R = 3.25
files = {}

sd_list = [0.08, 0.15, 0.23, 0.31, 0.38, 0.46]
for sd in sd_list:
    files[sd] = glob.glob(f'../line/fig15a/sd{sd}**')
    
def line(ax, files):
    # loop over files to find max psie_active and corresponding location
    max_vals = []
    coords = []
    for file in files:
        df = pd.read_csv(file)
        max_val = df['psie_active'].max()
        max_id = df['psie_active'].idxmax()
        max_vals.append(max_val/psic)
        coords.append(df['Points:0'].iloc[max_id]/R)
    
    ax.plot(coords, max_vals)
  
for sd in sd_list:
    line(ax, files[sd])
    

fig.savefig("../figs/fig15a.png")
# %%
