#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
R = 3.25
file_paths = glob.glob('../line/fig16/**')
sd_list = [0.08, 0.15, 0.23, 0.31, 0.38, 0.46]

def line(ax, i, file):
    df = pd.read_csv(file)
    filtered_df = df[df['d'] > 0]
    ids = filtered_df.index
    if not ids.empty:
        start_id, end_id = ids[0], ids[-1]
        meas = df['Points:0'].iloc[end_id] - df['Points:0'].iloc[start_id]
    else:
        meas = 0

    ax.plot(sd_list[i], meas/R, 'o')
  
for i, file in enumerate(sorted(file_paths)):
    line(ax, i, file)
    

fig.savefig("../figs/fig16a.png")
# %%
