#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, axes = plt.subplots(6, 1)

# parameters
R = 3.25
file_paths = glob.glob('../line/fig16/**')
sd_list = [0.08, 0.15, 0.23, 0.31, 0.38, 0.46]

def line(ax, file):
    df = pd.read_csv(file)
    ax.plot(df['Points:0']/R, df['d'])
    ax.set(ylim=[0, 0.065])
  
for i, file in enumerate(sorted(file_paths)[::-1]):
    line(axes[i], file)
    

fig.savefig("../figs/fig16b.png")
# %%
