#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
sts = 20e-6
L = 2
all_file_paths = glob.glob('../line/fig6/**')

# filter out files for t=[1.5, 1.575]
file_paths = [file for file in all_file_paths if file.endswith(tuple(f'1.{i}.csv' for i in range(501, 595)))]

def line(ax, file_path):
    df = pd.read_csv(file_path)
    t = float(file_path.split('t')[1].split('.csv')[0])
    ax.plot(df['x']/L, df['stress_xx']/sts, label=f"t/T={t}")
    
for i, file_path in enumerate(sorted(file_paths)):
    df = pd.read_csv(file_path)
    line(ax, file_path)
    
ax.legend(loc='center left')
fig.savefig("../figs/fig6b.png")
# %%
