#%%
import glob
import pandas as pd
import matplotlib.pyplot as plt

fig, ax = plt.subplots()

# parameters
L = 2
file_paths = glob.glob('../line/fig8/**')

def line(ax, file_path):
    df = pd.read_csv(file_path)
    h = float(file_path.split('h')[1].split('.csv')[0])
    ax.plot(df['x']/L, df['d'], label=f"h=L/{L/h:.0f}")
    
for file_path in sorted(file_paths):
    df = pd.read_csv(file_path)
    line(ax, file_path)
    
ax.legend()
fig.savefig("../figs/fig8.png")
# %%
